ListResultData (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.report.processor, class: ListResultData

Package org.apache.jmeter.report.processor

# Class ListResultData

java.lang.Object
org.apache.jmeter.report.processor.ListResultData

All Implemented Interfaces:
  `Iterable<ResultData>`, `ResultData`

public class ListResultData extends Object implements ResultData, Iterable<ResultData>
The class ListResultData provides a list of results from sample processing.

Since:
  3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListResultData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T> T`
  `accept(ResultDataVisitor<T> visitor)`
  Accepts the specified visitor.
  `boolean`
  `addResult(ResultData result)`
  Adds the result at the end of the list.
  `ResultData`
  `get(int index)`
  Gets the stored item at the specified index.
  `int`
  `getSize()`
  Gets the size of the list.
  `Iterator<ResultData>`
  `iterator()`
  `ResultData`
  `removeResult(int index)`
  Removes the result at the specified index.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### ListResultData

    public ListResultData()

- ## Method Details

  - ### accept

    public <T> T accept(ResultDataVisitor<T> visitor)
    Description copied from interface: `ResultData`
    Accepts the specified visitor.
    Specified by:
      `accept` in interface `ResultData`
    Type Parameters:
      `T` - type of the results of the `ResultDataVisitor`
    Parameters:
      `visitor` - the visitor (must not be `null`)
    Returns:
      result of the visit

  - ### addResult

    public boolean addResult(ResultData result)
    Adds the result at the end of the list.
    Parameters:
      `result` - the result
    Returns:
      true, if the result is added

  - ### removeResult

    public ResultData removeResult(int index)
    Removes the result at the specified index.
    Parameters:
      `index` - the index of the result in the list
    Returns:
      the removed result data

  - ### get

    public ResultData get(int index)
    Gets the stored item at the specified index.
    Parameters:
      `index` - the index
    Returns:
      the result data

  - ### getSize

    public int getSize()
    Gets the size of the list.
    Returns:
      the size of the list

  - ### iterator

    public Iterator<ResultData> iterator()
    Specified by:
      `iterator` in interface `Iterable<ResultData>`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`